/* firesokker-arena.js
 *
 * Lineup information
 *
 * @author Christian Graffer
 */

/* Function: fsok_calculateArenaRevenue
 *
 * This function calculates the income with a sold-out arena and adds it
 * to the summary table.
 *
 * @param obj   doc         the document node
 *
 * @return void
 */

function fsok_calculateArenaRevenue(doc) {
  if (fsok_prefs.getBoolPref("show_arena_income")) {
	var arena_places = new Object();
	arena_places.line = new Object();
	arena_places.goal = new Object();

	arena_places.goal.standing = 0;
	arena_places.goal.terraces = 0;
	arena_places.goal.terraces_roof = 0;
	arena_places.goal.benches = 0;
	arena_places.goal.benches_roof = 0;
	arena_places.goal.seats = 0;
	arena_places.goal.seats_roof = 0;

	arena_places.line.standing = 0;
	arena_places.line.terraces = 0;
	arena_places.line.terraces_roof = 0;
	arena_places.line.benches = 0;
	arena_places.line.benches_roof = 0;
	arena_places.line.seats = 0;
	arena_places.line.seats_roof = 0;

	var arena_places_const = new Object();
	arena_places_const.line = new Object();
	arena_places_const.goal = new Object();

	arena_places_const.goal.standing = 0;
	arena_places_const.goal.terraces = 0;
	arena_places_const.goal.terraces_roof = 0;
	arena_places_const.goal.benches = 0;
	arena_places_const.goal.benches_roof = 0;
	arena_places_const.goal.seats = 0;
	arena_places_const.goal.seats_roof = 0;

	arena_places_const.line.standing = 0;
	arena_places_const.line.terraces = 0;
	arena_places_const.line.terraces_roof = 0;
	arena_places_const.line.benches = 0;
	arena_places_const.line.benches_roof = 0;
	arena_places_const.line.seats = 0;
	arena_places_const.line.seats_roof = 0;

	var arena_prices = new Object();
	arena_prices.line = new Object();
	arena_prices.goal = new Object();

	arena_prices.goal.standing = 8;
	arena_prices.goal.terraces = 16;
	arena_prices.goal.terraces_roof = 20;
	arena_prices.goal.benches = 25;
	arena_prices.goal.benches_roof = 25;
	arena_prices.goal.seats = 25;
	arena_prices.goal.seats_roof = 30;

	arena_prices.line.standing = 8;
	arena_prices.line.terraces = 16;
	arena_prices.line.terraces_roof = 20;
	arena_prices.line.benches = 25;
	arena_prices.line.benches_roof = 30;
	arena_prices.line.seats = 30;
	arena_prices.line.seats_roof = 35;

	var income = new Object();
	income.standing = 0;
	income.terraces = 0;
	income.terraces_roof = 0;
	income.benches = 0;
	income.benches_roof = 0;
	income.seats = 0;
	income.seats_roof = 0;

	var income_c = new Object();
	income_c.standing = 0;
	income_c.terraces = 0;
	income_c.terraces_roof = 0;
	income_c.benches = 0;
	income_c.benches_roof = 0;
	income_c.seats = 0;
	income_c.seats_roof = 0;

	var tables = doc.getElementsByTagName('table');
	var tds = tables[1].getElementsByTagName('td');
	var total = 0;
	var total_c = 0;
	var constructions = false;
	var totalplaces = 0;
	var m = fsok_nt_array[fsok_country][3];
	var s = fsok_nt_array[fsok_country][2];
	for (var i = 0; i < tds.length; i++) {
	  if (i == 4)
		continue;
	  var cons = false;
	  var lines = tds[i].innerHTML.split("<br>");
	  var type = lines[0].trim();
	  var places = parseInt(lines[1].trim().split(" ")[0]);
	  if (tds[i].className == 'bgColor12' && type != fsok_language.arena_standing) {
		constructions = true;
		cons = true;
	  }
	  var key = null;
	  if (type == fsok_language.arena_standing) {
		key = "standing";
	  } else if (type == fsok_language.arena_terraces) {
		key = "terraces";
	  } else if (type == fsok_language.arena_terraces_cover) {
		key = "terraces_roof";
	  } else if (type == fsok_language.arena_benches) {
		key = "benches";
	  } else if (type == fsok_language.arena_benches_cover) {
		key = "benches_roof";
	  } else if (type == fsok_language.arena_seats) {
		key = "seats";
	  } else if (type == fsok_language.arena_seats_cover) {
		key = "seats_roof";
	  }
	  if (key != null) {
		totalplaces += places;
		if (!cons) {
		  if (i == 1 || i == 7) {
			arena_places.line[key] += places;
			income[key] += arena_prices.line[key] * places;
			total += arena_prices.line[key] * places;
		  } else {
			arena_places.goal[key] += places;
			income[key] += arena_prices.goal[key] * places;
			total += arena_prices.goal[key] * places;
		  }
		} else {
		  if (i == 1 || i == 7) {
			arena_places_const.line[key] += places;
			income_c[key] += arena_prices.line[key] * places;
			total_c += arena_prices.line[key] * places;
		  } else {
			arena_places_const.goal[key] += places;
			income_c[key] += arena_prices.goal[key] * places;
			total_c += arena_prices.goal[key] * places;
		  }
		}
	  } else {
		fsok_log("Place type: "+type,doc);
	  }
	}

	var trs = tables[0].getElementsByTagName('tr');
	for (i = 0; i < trs.length; i++) {
	  var td1 = trs[i].getElementsByTagName('td')[0];
	  var type = td1.innerHTML.trim();
	  var key = null;
	  if (type == fsok_language.arena_standing) {
		key = "standing";
	  } else if (type == fsok_language.arena_terraces) {
		key = "terraces";
	  } else if (type == fsok_language.arena_terraces_cover) {
		key = "terraces_roof";
	  } else if (type == fsok_language.arena_benches) {
		key = "benches";
	  } else if (type == fsok_language.arena_benches_cover) {
		key = "benches_roof";
	  } else if (type == fsok_language.arena_seats) {
		key = "seats";
	  } else if (type == fsok_language.arena_seats_cover) {
		key = "seats_roof";
	  }
	  td1.style.width = '50%';
	  var new_td = doc.createElement('td');
	  new_td.style.verticalAlign = 'top';
	  new_td.style.textAlign = 'right';
	  if (i == trs.length - 1 && key == null) {
		new_td.className = "bgColor1";
		new_td.innerHTML = "<strong>"+formatNumber((total/m),0,' ','','','','','')+" "+s+"</total>";
		if (total_c != 0) {
		  new_td.innerHTML += "<br /><span class='textColor2 textStyle2'>"+formatNumber((total_c/m),0,' ','','','','','')+" "+s+
		                      "</span><br /><hr /><strong>"+formatNumber(((total+total_c)/m),0,' ','','','','','')+" "+s+"</strong>";
		  var td2 = trs[i].getElementsByTagName('td')[1];
		  td2.innerHTML += "<br /><hr /><strong>"+formatNumber(totalplaces,0,' ','','','','','')+"</strong>";
		}
		trs[i].appendChild(new_td);
	  } else if (key != null) {
		new_td.innerHTML = formatNumber(income[key]/m,0,' ','','','','','')+" "+s;
		if (income_c[key] != 0)
		  new_td.innerHTML += "<br /><span class='textColor2 textStyle1'>+"+formatNumber(income_c[key]/m,0,' ','','','','','')+" "+s+"</span>";
		trs[i].appendChild(new_td);
	  }
	}
  }
}


if (!fsok_functions["/arena.php"])
	fsok_functions["/arena.php"] = new Array();

fsok_functions["/arena.php"][fsok_functions["/lineup.php"].length] = fsok_calculateArenaRevenue;
