/* firesokker-configure.js
 *
 * Everything that is needed for the configuration dialog
 *
 * @author Christian Graffer
 */

/* Function: fsok_configure
 *
 * Open the FireSokker-Configure dialog
 *
 * @param  obj  event   The event that triggered the function call
 *
 * @return void
 */
function fsok_configure(event) {
	window.openDialog("chrome://firesokker/content/firesokker-configure.xul","","centerscreen, chrome, modal, resizable=yes");
}

/* Function: fsok_initConfigWindow
 *
 * Load settings for the configuration dialog
 *
 * @return void
 */
function fsok_initConfigWindow() {
	for (var i = 0; i < fsok_bool_prefs.length; i++) {
		try {
			var temp = fsok_bool_prefs[i];
			document.getElementById(temp).checked = fsok_prefs.getBoolPref(temp);
		} catch (e) {}
	}

	for (i = 0; i < fsok_int_prefs.length; i++) {
		try {
			var temp = fsok_int_prefs[i];
			document.getElementById(temp).value = fsok_prefs.getIntPref(temp);
		} catch (e) {}
	}

	for (i = 0; i < fsok_char_prefs.length; i++) {
		try {
			var temp = fsok_char_prefs[i];
			document.getElementById(temp).value = fsok_prefs.getCharPref(temp);
		} catch (e) {}
	}

}

/* Function: fsok_saveConfiguration
 *
 * Save settings
 *
 * @return void
 */
function fsok_saveConfiguration() {
	for (var i = 0; i < fsok_bool_prefs.length; i++) {
		try {
			var temp = fsok_bool_prefs[i];
			fsok_prefs.setBoolPref(temp, document.getElementById(temp).checked);
		} catch (e) {}
	}

	for (i = 0; i < fsok_int_prefs.length; i++) {
		try {
			var temp = fsok_int_prefs[i];
			var temp_value = document.getElementById(temp).value;
			if (temp_value.match(/^\d+$/))
				fsok_prefs.setIntPref(temp, temp_value);
		} catch (e) {}
	}

	for (i = 0; i < fsok_char_prefs.length; i++) {
		try {
			var temp = fsok_char_prefs[i];
			fsok_prefs.setCharPref(temp, document.getElementById(temp).value);
		} catch (e) {}
	}

}