/* firesokker-mailcheck.js
 * 
 * Various functions used by the Mailchecker.
 *
 * @author Christian Graffer
 */

/* Function: fsok_checkMail
 *
 * This function checks for new mail.
 *
 * @param obj   doc         the document node
 *
 * @return void
 */
function fsok_checkMail(doc) {
	if (fsok_prefs.getBoolPref("show_mail_alert")) {
		var date = new Date();
		var seconds = Date.parse(date.toGMTString());

		var last_checked_time = fsok_prefs.getCharPref("last_mail_checked_string");
		var evalstring = '('+seconds+'-'+last_checked_time+') - ('+fsok_prefs.getIntPref("mailcheck_interval")+'*60000)';
		var mseconds_left = eval(evalstring);

		// if more than mailcheck_interval minutes have passed show the alert
		if (mseconds_left > 0) {
			var img_node = doc.getElementsByTagName('img')[0];
			if (img_node.getAttribute('class') == new_mail_img_class) {
				fsok_alertSlider(doc,fsok_language['You have mail']);
				fsok_prefs.setCharPref("last_mail_checked_string",''+seconds);
			}
		}
	}
}

if (!fsok_functions["/mailcheck.php"])
	fsok_functions["/mailcheck.php"] = new Array();
fsok_functions["/mailcheck.php"][fsok_functions["/mailcheck.php"].length] = fsok_checkMail;
