/* firesokker-tables.js
 * 
 * Useful tools for table-formating.
 *
 * @author Christian Graffer
 */

/* Function: fsok_formatTables
 *
 * This function formats the tables - this was done to avoid
 * firing the wrong player at the beginning and has then been
 * ported to the league table as well.
 *
 * @param obj   doc         the document node
 *
 * @return void
 */
function fsok_formatTables(doc) {
	if (fsok_prefs.getBoolPref("format_tables")) {
		var tables = doc.getElementsByTagName('table');
		var table_count = new Array();
		var add_class = new Array();
		var modify_tds = new Array();
		var mouseover = new Array();
		var first_modified_row = new Array();
		var step = new Array();
		var first_row_class = new Array();    // only 1 and 2 are supported here
		var classname = "";         // used in the loop
		var hovercolor = "#fffade";

		switch (doc.location.pathname) {
		case "/league.php":
			table_count[0] = 1;
			add_class[0] = false;
			modify_tds[0] = false;
			first_modified_row[0] = 1;
			first_row_class[0] = 2;
			step[0] = 1;
			mouseover[0] = false;
			break;
		case "/player_stats.php":
			table_count[0] = 0;
			add_class[0] = false;
			modify_tds[0] = false;
			first_modified_row[0] = 1;
			first_row_class[0] = 2;
			step[0] = 2;
			mouseover[0] = false;
			break;
		default:
			return;
		}

		// get all the tables and modify the specified ones
		for (var j = 0; j < table_count.length; j++) {
			// get the tr elements inside the respective table
			var trs = tables[table_count[j]].getElementsByTagName('tr');
			var run = 1;
			for (var i = first_modified_row[j]; i < trs.length; i = i + step[j]) {
				// check whether bgColor1 or bgColor2 should be used
				if ((run % 2 == 1 && first_row_class[j] == 1) || (run % 2 == 0 && first_row_class[j] != 1)) {
					classname = "bgColor2";
				} else {
					classname = "bgColor3";
				}
				// go here if modifying the tr elements is not sufficient
				if (modify_tds[j]) {
					tds = trs[i].getElementsByTagName('td');
					for (var k = 0; k < tds.length; k++) {
						if (add_class[j]) {
							tds[k].setAttribute('class',tds[k].className+' '+classname);
						} else {
							tds[k].setAttribute('class',classname);
						}
					}
				// else modify the tr elements
				} else {
					if (mouseover[j]) {
						trs[i].setAttribute('onmouseover','this.style.backgroundColor=\''+hovercolor+'\';');
						trs[i].setAttribute('onmouseout','this.style.backgroundColor=\'\';');
					}
						
					if (add_class[j]) {
						trs[i].setAttribute('class',trs[i].className+' '+classname);
					} else {
						trs[i].setAttribute('class',classname);
					}
				}
				run = run + 1;
			}
		}
	}
}

fsok_global_functions[fsok_global_functions.length] = fsok_formatTables;
